Package org.apache.sling.jcr.webdav.impl.handler

# Class SlingIOManager

java.lang.Object
org.apache.jackrabbit.server.io.IOManagerImpl
org.apache.sling.jcr.webdav.impl.handler.SlingIOManager

All Implemented Interfaces:
  `org.apache.jackrabbit.server.io.IOManager`

public class SlingIOManager extends org.apache.jackrabbit.server.io.IOManagerImpl
IOManager service that uses a ServiceTracker to find available IOHandlers.

## Constructor Summary

Constructors
Constructor
Description
`SlingIOManager(String referenceName)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addIOHandler(org.apache.jackrabbit.server.io.IOHandler ioHandler)`
`void`
`bindIOHandler(org.osgi.framework.ServiceReference ioHandlerReference)`
`org.apache.jackrabbit.server.io.IOHandler[]`
`getIOHandlers()`
`void`
`setComponentContext(org.osgi.service.component.ComponentContext componentContext)`
`void`
`unbindIOHandler(org.osgi.framework.ServiceReference ioHandlerReference)`

### Methods inherited from class org.apache.jackrabbit.server.io.IOManagerImpl

`exportContent, exportContent, getDetector, importContent, importContent, setDetector`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SlingIOManager

public SlingIOManager(String referenceName)

## Method Details

### addIOHandler

public void addIOHandler(org.apache.jackrabbit.server.io.IOHandler ioHandler)

Specified by:
  `addIOHandler` in interface `org.apache.jackrabbit.server.io.IOManager`
Overrides:
  `addIOHandler` in class `org.apache.jackrabbit.server.io.IOManagerImpl`

### getIOHandlers

public org.apache.jackrabbit.server.io.IOHandler[] getIOHandlers()

Specified by:
  `getIOHandlers` in interface `org.apache.jackrabbit.server.io.IOManager`
Overrides:
  `getIOHandlers` in class `org.apache.jackrabbit.server.io.IOManagerImpl`

### setComponentContext

public void setComponentContext(org.osgi.service.component.ComponentContext componentContext)

### bindIOHandler

public void bindIOHandler(org.osgi.framework.ServiceReference ioHandlerReference)

### unbindIOHandler

public void unbindIOHandler(org.osgi.framework.ServiceReference ioHandlerReference)